from __future__ import annotations

from enum import Enum


# https://zutool.jp/img/weatherpoint/map_kiatu_icon_lv{level}.png
class PressureLevelEnum(Enum):
    通常 = "0"
    # 通常_1 = "1"  # noqa: ERA001
    やや警戒 = "2"
    注意 = "3"
    警戒 = "4"
    超警戒 = "5"


# https://zutool.jp/img/weatherpoint/tenki_{code}.png
class WeatherEnum(Enum):
    晴れ = "100"

    晴れ時々くもり = "101"
    晴れ一時くもり = "102"
    晴れ時々雨 = "103"
    晴れ一時雨 = "104"
    晴れ時々雪 = "105"
    晴れ一時雪 = "106"

    晴れのちくもり = "111"
    晴れのち雨 = "114"
    晴れのち雪 = "116"

    くもり = "200"

    くもり時々晴れ = "201"
    くもり一時晴れ = "202"
    くもり時々雨 = "203"
    くもり一時雨 = "204"
    くもり時々雪 = "205"
    くもり一時雪 = "206"

    くもりのち晴れ = "211"
    くもりのち雨 = "214"
    くもりのち雪 = "216"

    雨 = "300"

    雨時々晴れ = "301"
    雨一時晴れ = "302"
    雨時々くもり = "303"
    雨一時くもり = "304"
    雨時々雪 = "305"
    雨一時雪 = "306"

    雨のち晴れ = "311"
    雨のちくもり = "313"
    雨のち雪 = "315"

    雪 = "400"

    雪時々晴れ = "401"
    雪一時晴れ = "402"
    雪時々くもり = "403"
    雪一時くもり = "404"
    雪時々雨 = "405"
    雪一時雨 = "406"

    雪のち晴れ = "411"
    雪のち雨 = "414"
    雪のちくもり = "416"


# curl "https://nlftp.mlit.go.jp/ksj/gml/codelist/PrefCd.html" |
# grep "</td><td>" | awk -F '[<>]' '$0="    "$7" = \""$3"\""' | sort -Vk2


# v->n: AreaEnum("01").name
# n->v: AreaEnum["北海道"].value
class AreaEnum(Enum):
    北海道 = "01"
    青森県 = "02"
    岩手県 = "03"
    宮城県 = "04"
    秋田県 = "05"
    山形県 = "06"
    福島県 = "07"
    茨城県 = "08"
    栃木県 = "09"
    群馬県 = "10"
    埼玉県 = "11"
    千葉県 = "12"
    東京都 = "13"
    神奈川県 = "14"
    新潟県 = "15"
    富山県 = "16"
    石川県 = "17"
    福井県 = "18"
    山梨県 = "19"
    長野県 = "20"
    岐阜県 = "21"
    静岡県 = "22"
    愛知県 = "23"
    三重県 = "24"
    滋賀県 = "25"
    大阪府 = "27"
    兵庫県 = "28"
    奈良県 = "29"
    和歌山県 = "30"
    鳥取県 = "31"
    島根県 = "32"
    岡山県 = "33"
    広島県 = "34"
    山口県 = "35"
    徳島県 = "36"
    香川県 = "37"
    愛媛県 = "38"
    高知県 = "39"
    福岡県 = "40"
    佐賀県 = "41"
    長崎県 = "42"
    熊本県 = "43"
    大分県 = "44"
    宮崎県 = "45"
    鹿児島県 = "46"
    沖縄県 = "47"
